Summary: Red Hat Linux Update Agent
Name: up2date
Version: 1.0.1
Release: 1
License: GPL
Group: System Environment/Base
Source: up2date-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
BuildArch: noarch
Requires: python >= 1.5.2 /usr/bin/netscape pygnome pygtk 
Requires: rpm >= 3.0.3-1 usermode >= 1.15 redhat-logos


%description
The Red Hat Linux Update Agent automatically queries the Red Hat priority
access servers and figures out what packages need to be updated on your box

%prep
%setup -q

%build
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System
cat > $RPM_BUILD_ROOT/etc/X11/applnk/System/up2date.desktop << EOF
[Desktop Entry]
Name=Update Agent
Comment=automatically update RPMs for Red Hat Linux
Icon=up2date.png
Exec=/usr/bin/up2date
Type=Application
Terminal=0
EOF

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(missingok) /etc/X11/applnk/System/up2date.desktop
%config(noreplace) /etc/up2date.conf
%config /etc/security/console.apps/up2date
%config /etc/pam.d/up2date
/usr/bin/up2date
/usr/sbin/up2date
/usr/share/up2date
/usr/share/pixmaps/up2date.png
%attr(0755,root,root) %dir /var/spool/up2date

%changelog
* Sat Sep 25 1999 Cristian Gafton <gafton@redhat.com>
- do not quit when starting netscape. Use a unix socket for communication

* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- icon added, bump rev to 1.0.

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- next generation build, preparing for release
- enabled as a PAM-console app

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- updated for newer stuff

* Wed Aug 24 1999 Preston Brown <pbrown@redhat.com>
- initial spec.
